Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 835017 - net-fs/samba-4.15.5-r1 - ../../nsswitch/wins.c: In function '_nss_wins_gethostbyname_r': ../../nsswitch/wins.c:275:29: error: 'NETDB_INTERNAL' undeclared (first use in this function) (on musl)
Summary: net-fs/samba-4.15.5-r1 - ../../nsswitch/wins.c: In function '_nss_wins_gethos...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: musl-porting
  Show dependency tree
 
Reported: 2022-03-12 21:54 UTC by ernsteiswuerfel
Modified: 2022-06-24 05:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.xz (samba-4.15.5-r1:20220312-154522.log.xz,76.57 KB, text/plain)
2022-03-12 21:54 UTC, ernsteiswuerfel
Details
emerge --info (file_835017.txt,6.91 KB, text/plain)
2022-03-12 21:55 UTC, ernsteiswuerfel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel archtester 2022-03-12 21:54:35 UTC
Created attachment 766893 [details]
build.log.xz

[...]
[1724/2499] Compiling nsswitch/wins.c
17:00:11 runner ['x86_64-gentoo-linux-musl-gcc', '-D_SAMBA_BUILD_=4', '-DHAVE_CONFIG_H=1', '-Os', '-march=bdver2', '-mtune=bdver2', '-pipe', '-MMD', '-D_GNU_SOURCE=1', '-D_XOPEN_SOURCE_EXTENDED=1', '-DHAVE_CONFIG_H=1', '-fPIC', '-D__STDC_WANT_LIB_EXT1__=1', '-D_REENTRANT', '-fstack-protector-strong', '-fstack-clash-protection', '-DSTATIC_nss_wins_MODULES=NULL', '-DSTATIC_nss_wins_MODULES_PROTO=extern void __nss_wins_dummy_module_proto(void)', '-Insswitch', '-I../../nsswitch', '-Isource3', '-I../../source3', '-Isource3/include', '-I../../source3/include', '-Isource3/lib', '-I../../source3/lib', '-Iinclude/public', '-I../../include/public', '-Isource4', '-I../../source4', '-Ilib', '-I../../lib', '-Isource4/lib', '-I../../source4/lib', '-Isource4/include', '-I../../source4/include', '-Iinclude', '-I../../include', '-Ilib/replace', '-I../../lib/replace', '-I.', '-I../..', '-Insswitch/libwbclient', '-I../../nsswitch/libwbclient', '../../nsswitch/wins.c', '-c', '-o/var/tmp/portage/net-fs/samba-4.15.5-r1/work/samba-4.15.5-abi_x86_64.amd64/bin/default/nsswitch/wins.c.10.o', '-I/usr/include/et']
../../nsswitch/wins.c: In function '_nss_wins_gethostbyname_r':
../../nsswitch/wins.c:275:29: error: 'NETDB_INTERNAL' undeclared (first use in this function)
  275 |                 *h_errnop = NETDB_INTERNAL;
      |                             ^~~~~~~~~~~~~~
../../nsswitch/wins.c:275:29: note: each undeclared identifier is reported only once for each function it appears in
../../nsswitch/wins.c:352:21: error: 'NETDB_SUCCESS' undeclared (first use in this function); did you mean 'EXIT_SUCCESS'?
  352 |         *h_errnop = NETDB_SUCCESS;
      |                     ^~~~~~~~~~~~~
      |                     EXIT_SUCCESS

Waf: Leaving directory `/var/tmp/portage/net-fs/samba-4.15.5-r1/work/samba-4.15.5-abi_x86_64.amd64/bin/default'
Build failed
 -> task in 'nss_wins.objlist' failed with exit status 1: 
	{task 139636626488816: c wins.c -> wins.c.10.o}
['x86_64-gentoo-linux-musl-gcc', '-D_SAMBA_BUILD_=4', '-DHAVE_CONFIG_H=1', '-Os', '-march=bdver2', '-mtune=bdver2', '-pipe', '-MMD', '-D_GNU_SOURCE=1', '-D_XOPEN_SOURCE_EXTENDED=1', '-DHAVE_CONFIG_H=1', '-fPIC', '-D__STDC_WANT_LIB_EXT1__=1', '-D_REENTRANT', '-fstack-protector-strong', '-fstack-clash-protection', '-DSTATIC_nss_wins_MODULES=NULL', '-DSTATIC_nss_wins_MODULES_PROTO=extern void __nss_wins_dummy_module_proto(void)', '-Insswitch', '-I../../nsswitch', '-Isource3', '-I../../source3', '-Isource3/include', '-I../../source3/include', '-Isource3/lib', '-I../../source3/lib', '-Iinclude/public', '-I../../include/public', '-Isource4', '-I../../source4', '-Ilib', '-I../../lib', '-Isource4/lib', '-I../../source4/lib', '-Isource4/include', '-I../../source4/include', '-Iinclude', '-I../../include', '-Ilib/replace', '-I../../lib/replace', '-I.', '-I../..', '-Insswitch/libwbclient', '-I../../nsswitch/libwbclient', '../../nsswitch/wins.c', '-c', '-o/var/tmp/portage/net-fs/samba-4.15.5-r1/work/samba-4.15.5-abi_x86_64.amd64/bin/default/nsswitch/wins.c.10.o', '-I/usr/include/et']
 * ERROR: net-fs/samba-4.15.5-r1::gentoo failed (compile phase):
Comment 1 ernsteiswuerfel archtester 2022-03-12 21:55:03 UTC
Created attachment 766894 [details]
emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2022-06-24 05:26:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9923d7331d1189316726fcab47ba89a2623f82ab

commit 9923d7331d1189316726fcab47ba89a2623f82ab
Author:     brahmajit das <brahmajit.xyz@gmail.com>
AuthorDate: 2022-06-21 05:48:08 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-06-24 05:26:09 +0000

    net-fs/samba: Apply the netdb defines patch
    
    NETDB_INTERNAL and NETDB_INTERNAL are not defined in musl as a result
    the build is failing.
    
    Acked-by: David Seifert <soap@gentoo.org>
    Closes: https://bugs.gentoo.org/835017
    Closes: https://bugs.gentoo.org/832629
    Signed-off-by: brahmajit das <brahmajit.xyz@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/26016
    Signed-off-by: Sam James <sam@gentoo.org>

 net-fs/samba/files/samba-4.16.1-netdb-defines.patch | 21 +++++++++++++++++++++
 net-fs/samba/samba-4.16.1.ebuild                    |  1 +
 2 files changed, 22 insertions(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb9e80e963c1cd197ef7c27b77efd9669f18132a

commit eb9e80e963c1cd197ef7c27b77efd9669f18132a
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-06-24 05:23:40 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-06-24 05:26:10 +0000

    net-fs/samba: add upstream link for musl patch
    
    Bug: https://bugs.gentoo.org/835017
    Bug: https://bugs.gentoo.org/832629
    Acked-by: David Seifert <soap@gentoo.org>
    Signed-off-by: Sam James <sam@gentoo.org>

 net-fs/samba/files/samba-4.16.1-netdb-defines.patch | 2 ++
 1 file changed, 2 insertions(+)